%define major 5
%define libname libMagick%{major}
%define fversion	5.4.2
%define	rev		3
%define dversion	%{fversion}-%{rev}
%define mgkdir		ImageMagick

# enablelzw = 0 (don't build with LZW compression support)
# enablelzw = 1 (build with LZW compression support)
# Currently we use enablelzw = 0 due to Unisys LZW patents.
%define enablelzw	0

# some defines for PerlMagick installation
%{expand:%%define perlarchlib	%(perl -MConfig -e 'print $Config{installarchlib}')}
%{expand:%%define perlprivlib	%(perl -MConfig -e 'print $Config{installprivlib}')}
%{expand:%%define perlsitelib	%(perl -MConfig -e 'print $Config{installsitelib}')}
%{expand:%%define perlsitearch	%(perl -MConfig -e 'print $Config{installsitearch}')}
%{expand:%%define perlman3dir	%(perl -MConfig -e 'print $Config{installman3dir}')}

Summary:	An X application for displaying and manipulating images
Name:		ImageMagick
Version:	%{fversion}.%{rev}
Release:	3mdk
License:	OpenSource
Group:		Graphics
Source:		ImageMagick-%{dversion}.tar.bz2
Source1:	ImageMagick.pdf.bz2
Patch0:		ImageMagick-5.1.1-qcontrolq.patch.bz2
Patch1:		ImageMagick-5.2.1-tv.patch.bz2
Patch2:		ImageMagick-5.4.2-perlmagick.patch.bz2
Patch4:		ImageMagick-5.4.2-lcms.patch.bz2
Patch5:		ImageMagick-5.4.2-3-ps2dsc.patch.bz2
Patch6:		ImageMagick-5.4.2-3-ps3dsc.patch.bz2
Patch7:		ImageMagick-5.4.2-3-avi.patch.bz2
Patch8:		ImageMagick-5.4.2-3-bmp.patch.bz2
Patch9:		ImageMagick-5.4.2-3-dib.patch.bz2
Patch10:	ImageMagick-5.4.2-3-draw-ellipse.patch.bz2
Patch11:	ImageMagick-5.4.2-mozilla.patch.bz2
Url:		http://www.imagemagick.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Prereq:		/sbin/ldconfig
Requires:	%{libname} = %{version}-%{release}
Requires:	freetype2 ghostscript libxml2

%description
ImageMagick is a powerful image display, conversion and manipulation tool. It
runs in an X session. With this tool, you can view, edit and display a variety
of image formats.

This package installs the necessary files to run ImageMagick.


%package -n %{libname}
Summary:	ImageMagick libraries
Group:		System/Libraries
Obsoletes:	ImageMagick-lib

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libMagick/libMagick++ libraries.


%package -n %{libname}-devel
Summary:	Static libraries and header files for ImageMagick app development
Group:		Development/C
Obsoletes:	%{name}-devel ImageMagick-devel
Provides:	libMagick-devel = %{version}-%{release} ImageMagick-devel = %{version}-%{release}
Requires:	%{libname} = %{version}, libhdf5-devel
%description -n %{libname}-devel
If you want to create applications that will use ImageMagick code or
APIs, you'll need to install these packages as well as
ImageMagick. These additional packages aren't necessary if you simply
want to use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes static
libraries and header files necessary to develop applications.


%package -n perl-Magick
Summary:	Libraries and modules for access to ImageMagick from perl
Group:		Development/Perl
Requires:	ImageMagick = %{version}-%{release}
%description -n perl-Magick
This is the ImageMagick perl support package. It includes perl modules 
and support files for access to ImageMagick library from perl.


%prep
%setup -q -n %{name}-%{fversion}
%patch0 -p1
%patch1 -p1 -b .tv_ln
%patch2 -p1 -b .perl
%patch4 -p1 -b .lcms
%patch5 -p1 -b .ps
%patch6 -p1 -b .ps
%patch7 -p1 -b .avi
%patch8 -p1 -b .bmp
%patch9 -p1 -b .dib
%patch10 -p1 -b .ellipse
%patch11 -p1 -b -mozilla
bzcat %{SOURCE1} > ImageMagick.pdf
# local doc
perl -pi -e 's@"http://www.imagemagick.org/"@"file:///%{_docdir}/%{name}-%{version}/ImageMagick.html"@' magick/animate.c magick/display.c

%build
libtoolize -c -f
CFLAGS="$RPM_OPT_FLAGS " \
CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix} \
		    --mandir=%{_mandir} \
		    --with-modules \
		    --enable-shared \
		    --with-magick-plus-plus=yes \
		    --with-threads \
		    --with-perl \
		    --with-xml=yes \
		    --with-jbig \
		    --without-wmf \
%if %{enablelzw}
		    --enable-lzw \
%endif
		    --with-hdf \
		    --with-perl-options='INSTALLPRIVLIB=$(DESTDIR)%{perlprivlib} INSTALLARCHLIB=$(DESTDIR)%{perlarchlib} INSTALLSITELIB=$(DESTDIR)%{perlsitelib} INSTALLSITEARCH=$(DESTDIR)%{perlsitearch} INSTALLMAN3DIR=$(DESTDIR)%{perlman3dir}'

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_menudir} \
	$RPM_BUILD_ROOT%{_iconsdir}

make install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgdocdir=$RPM_BUILD_ROOT%{_datadir}/%{mgkdir}

cat > $RPM_BUILD_ROOT%{_menudir}/ImageMagick <<EOF
?package(ImageMagick): command="display" \
needs="X11" \
icon="graphics_section.png" \
section="Multimedia/Graphics" \
title="ImageMagick display" \
longtitle="Displays any image on X"
EOF

perl -pi -e \
        's|-L/.*magick/\.libs ||;\
        s|/[^ ]*libjpeg\.la|-ljpeg|;\
        s|/[^ ]*libMagick\.la|-lMagick|' \
        $RPM_BUILD_ROOT%{_libdir}/%{mgkdir}/modules/coders/*.la
#
perl -pi -e \
	"s|$RPM_BUILD_ROOT%{_prefix}|%{_prefix}|g" \
        $RPM_BUILD_ROOT%{_libdir}/%{mgkdir}/modules/coders/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la
#
perl -pi -e \
        's|-L/.*magick/\.libs ||' \
        $RPM_BUILD_ROOT%{_bindir}/Magick-config \
	$RPM_BUILD_ROOT%{_bindir}/Magick++-config

# Add correct perlMagick doc:
cat www/perl.html | sed -e "s#\.\./images/##g" > perl-Magick.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc www images
%doc Copyright.txt README.txt ImageMagick.html ImageMagick.pdf
%{_bindir}/animate
%{_bindir}/composite
%{_bindir}/convert
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%dir %{_datadir}/%{mgkdir}
%dir %{_libdir}/%{mgkdir}
%dir %{_libdir}/%{mgkdir}/modules
%dir %{_libdir}/%{mgkdir}/modules/coders
%{_datadir}/%{mgkdir}/*
%{_libdir}/%{mgkdir}/*.mgk
%{_libdir}/%{mgkdir}/modules/coders/*.so
%{_libdir}/%{mgkdir}/modules/coders/*.la
%{_libdir}/%{mgkdir}/modules/coders/*.mgk
%{_mandir}/man1/*
%{_mandir}/man4/*
%{_mandir}/man5/*
%{_menudir}/*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc www/api.html www/api/ 
%{_libdir}/%{mgkdir}/modules/coders/*.a
%{_bindir}/Magick-config
%{_bindir}/Magick++-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/magick
%{_includedir}/Magick++.h
%{_includedir}/Magick++
%{_libdir}/*.so

%files -n perl-Magick
%defattr(-,root,root)
%doc perl-Magick.html images/examples.jpg images/home.png
%doc images/magick_small.png images/right_triangle.png
%{perlman3dir}/*
%{perl_sitearch}/*

%changelog
* Sun Mar 03 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.2.3-3mdk
- removed rpath in perl Magick.so library.
- added fix netscape -> mozilla in delegates.mgk.

* Sat Feb 23 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.2.3-2mdk
- added Patch5,6: fixes problems in DSC of Postscript ps2.c and ps3.c.
- added Patch7,8,9: fixes out-of-bounds memset() when decoding 1-bit AVI,
  BMP and DIB images (avi.c, bmp.c, dib.c).
- added Patch10: in draw.c, draw correctly arc when arcEnd-arcStart 
  is not integer in the ellipse function.
- unrolled BuildRequires.

* Thu Jan 24 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.2.3-1mdk
- updated to revision 5.4.2-3.
- changed version numbering.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 5.4.2-3mdk
- Fix menu entry (png icon).

* Fri Jan 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.2-2mdk
- removed pkgdocdir=$RPM_BUILD_ROOT%{_datadir}/%{mgkdir} in
  make install, now merged into main tree.
- added libtoolize -c -f (suggested by Abel) to let ImageMagick
  build without libMagick-devel installed.

* Fri Jan 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.2-1mdk
- updated to version 5.4.2-2.
- removed Patch3 (now merged into main tree).
- added Patch4 (to get the right include for lcms.h)

* Sun Dec 10 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.1-2mdk
- updated to version 5.4.1-2.
- added Patch3 (ImageMagick-5.4.1-hdf.patch) for Intensity()
  argument.
- temporary disabled wmf support.

* Mon Dec 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.1-1mdk
- updated to 5.4.1.

* Thu Nov 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.0.5-1mdk
- updated to 5.4.0.5.

* Sun Nov 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.4.0.2-1mdk
- updated to release 5.4.0.2.
- rebuilt against libtool.
- use DESTDIR.
- added %%perl* macros.
- use again of %%make.

* Wed Oct 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.9-2mdk
- added perlmagick patch to let ImageMagick build without its devel
  package installed.

* Tue Oct 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.9-1mdk
- updated to version 5.3.9 (this version is a bug-fix release to resolve
  bugs reported against 5.3.8, 5.3.8.1, and 5.3.8.2).

* Mon Sep 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-10mdk
- updated to version 5.3.8.2 (fixed GetImagePixels() calls in draw.c).

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 5.3.8-9mdk
- Use safe images (from a legal point of view) for menu entries.

* Thu Sep 06 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-8mdk
- updated to version 5.3.8.1 final (bugfixes).

* Wed Sep 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-7mdk
- build with 5.3.8 version dated 20010903.

* Sun Sep 02 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-6mdk
- build with 5.3.8 version dated 20010901.

* Sat Sep 01 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-5mdk
- build with 5.3.8 version dated 20010830.
- added Provides: ImageMagick-devel (Franois).
- added Obsoletes: ImageMagick-devel (Franois).

* Thu Aug 30 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-4mdk
- build with 5.3.8 version dated 20010828.

* Tue Aug 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-3mdk
- build with 5.3.8 version dated 20010827.

* Mon Aug 27 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-2mdk
- build with 5.3.8 version dated 20010825 (fixes xpm coder).

* Wed Aug 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-1mdk
- 5.3.8.

* Fri Aug 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.8-0.1mdk
- beta of 5.3.8.

* Sun Jul 29 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.7-6mdk
- rebuilt with to version 5.3.7 dated 20010726.
- removed cgimagick and iptcutil from %_bindir.

* Sat Jul 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.7-5mdk
- added icons for the command "display".

* Thu Jul 26 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.7-4mdk
- BuildRequires: libhdf5-devel.
- removed buildroot dir from .la files.

* Tue Jul 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.7-3mdk
- fixed package date!

* Tue Jul 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.7-2mdk
- package rebuilt.

* Tue Jul 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.7-1mdk
- updated to version 5.3.7.
- readapted Patch11.
- removed Patch12 (fixes for lcms include).

* Tue Jul 17 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.6-6mdk
- added Obsoletes: ImageMagick-lib, ImageMagick-devel (Thanks to cookers :-).

* Mon Jul 16 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.6-5mdk
- fixed Requires in main package.

* Mon Jul 16 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.6-4mdk
- package split.
- 20010714 sources.

* Sat Jul 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.6-3mdk
- rebuild with 5.3.6 sources dated 20010712.

* Thu Jun 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.6-2mdk
- added missed lzw conditional flag checking.

* Wed Jun 27 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.6-1mdk
- updated to release 5.3.6.

* Mon Jun 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 5.3.5-3mdk
- sigh, s/ifarch x86/ifnarch ppc/.
- fix conditional --with-hdf quoting problem.

* Thu Jun 21 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.5-2mdk
- rebuild with release 5.3.5 (20010620).
- added c++ includes.
- moved delegates.mgk.

* Tue Jun 12 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.5-1mdk
- updated to release 5.3.5.

* Thu May 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.4-1mdk
- updated to release 5.3.4.

* Sat May 19 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.3-4mdk
- added libbzip2-devel and libxpm-devel to BuildRequires.

* Wed May 16 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.3-3mdk
- added composite to files list (thanks to Ed Avis <eavis@arsdigita.com>).

* Wed May 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.3-2mdk
- added libxml2, libxml2-devel to Requires and Buildrequires.

* Tue May 02 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.3-1mdk
- updated to release 5.3.3.

* Fri Apr 20 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.2-1mdk
- updated to release 5.3.2.
- added Magick++-config, cgimagick, iptcutil to %files list and
  removed combine.

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.1-1mdk
- updated to release 5.3.1 (fixes bugs).
- added patch12 because lcms.h path has changed again!

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 5.3.0-4mdk
- PPC: build even if sane is not installed.

* Tue Mar 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.0-3mdk
- fixed coders/*.la files.

* Wed Mar 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.0-2mdk
- added liblcms in BuildRequires.
- obsoleted camille patch for delegates.mgk.

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.3.0-1mdk
- Version 5.3.0.
- Really include lcms support.

* Wed Feb 21 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.9-3mdk
- Fix build on PPC

* Wed Feb 21 2001 Camille <camille@mandrakesoft.com> 5.2.9-2mdk
- add /usr/lib/ImageMagick/modules/coders/delegates.mgk

* Tue Feb 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.9-1mdk
- release 5.2.9.

* Mon Jan 30 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.8-1mdk
- release 5.2.8.
- removed ImageMagick-5.2.7-ps.patch (now merged), and ltdl patch.
- removed option --enable-16bit-pixel in configure, now default.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-5mdk
- added liblcms.

* Tue Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-4mdk
- added Imagemagick-5.2.7-ps.patch from ImageMagick CVS to fix the
  Camille's problems.
- added patch11 for perl-magick linking.

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.7-3mdk
- Fix (once again) build on PPC
- Don't "BuildRequires: " things which are not designed for PPC
- Spec clean up

* Tue Jan 16 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-2mdk
- fixed problems with EPS delegates.

* Sun Jan 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-1mdk
- new release.
- added support for HDF5, lcms, jbig formats.
- more BuildRequires.

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.6-2mdk
- Fix again build for PPC
- bzip2 patches
- Really use optimizations

* Tue Dec 05 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 5.2.6-1mdk
- new and shiny version bumped into cooker.
- remove the self compile patch.
- build with freetype2.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-3mdk
- Fix URL

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-2mdk
- Fix build for PPC

* Tue Oct 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.5-1mdk
- s/5.2.4/5.2.5/

* Sun Oct 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 5.2.4-1mdk
- s/5.2.3/5.2.4/ aka new shiny ImageMagick.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.3-3mdk
- don't BuildRequires on ImageMagick-devel.

* Wed Sep 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.3-2mdk
- build release

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.3-1mdk
- s|5.2.2|5.2.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.2-6mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 5.2.2-5mdk
- put *.la back to main package (otherwise doesn't work!)
- use %%{perl_sitearch}
- /usr/lib/ImageMagick and subdirs now belongs to main package

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-4mdk
- put module *.so files in the main package while *.la and *.a go to devel

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-3mdk
- split out modules in -lib packages for lord rpmlint (gl scks)

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-2mdk
- build withmodules (titiscks)
- license is opensource
- should be ./configure --prefix=_prefix not /usr (titiscks)

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-1mdk
- new release

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-1mdk
- new release
- BM (this one give me an hard time :-( thanks for the gift)

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-6mdk
- since Lord Chmou've upload my test rpm without asking me before whereas it
  was bogus, i make a new release.
  Language lab, lesson 6, repeat after me : chmou sucks :-)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-5mdk
- built against new libbz2

* Wed Jun 28 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.2.0-4mdk
- Changed i386 into %{_arch} in filelist

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-3mdk
- Correct %file of perl-Magick no more empty pod.

* Thu Jun 22 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-2mdk
- Correct local file owner in perl-Magick.

* Wed Jun  7 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-1mdk
- Up to 5.2.0

* Wed May 10 2000 Stefan Siegel <siegel@linux-mandrake.com>
- Split ImageMagick-devel in ImageMagick-devel and perl-Magick.
- moved Magick-config to ImageMagick-devel.

* Wed Apr 26 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-7mdk
- Change prefix to /usr.
- Update to second version 5.1.1 of wizard.dupont.
- Move include files in %{_includedir}/magick.
- Remove entry menu for display (needs a terminaux stdin)
- Now, compile alone (with good librairie in rpm build dir)

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-6mdk
- Doc file slipt into the two package.

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-5mdk
- Patch ltconfig to remove rpath.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-4mdk
- Really apply patch.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-3mdk
- Prereq: /sbin/ldconfig.
- Add menu.
- Adjust groups.
- No need to do Ctrl-q to quit (just q or c-q if you really want).

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-2mdk
- Recompile ImageMagick-devel with the right 5.1.1 devel.

* Thu Jan 13 2000 Vincent Saugey <vince@mandrakesoft.com>
- update to 5.1.0
- Add documentation ImageMagick.pdf

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 4.2.9
- ImageMagick now supports native blob support for most of the image formats.  
- Enable accented letters in text for Postscript fonts
- Broke up some of the large source modules into smaller more managable modules. 
- Added methods CreateImage and GetPixels to make using float arrays of pixels easier.
- Fixed GS delegate to get around a Ghostscript bug for device pnmraw (bug report by Thomas Baker).        
- Added ImageMagick User's Guide to the distribution. See ImageMagick/docs directory.
- Drawing primitives are antialiased now 
- Several API changes were made to accomodate Magick++, the C++ ImageMagick API wrapper 
- Several API changes were made to make the ImageMagick API thread safe. 
- Many others changes

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Handle SMP compilation.
- 4.2.7.
- Remove unused patch.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 4.2.3
- Mandrake adaptions
- add de locale

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates. 
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
